#include <stdio.h>
#include <X11/Xlib.h>
main()
{
   Display *d;
   Window w;
   GC gc;
   Font f;
   XEvent e;
   char *text;
   int n_ret;
   char buff[50];
   int i;

   d = XOpenDisplay (NULL);
   w = XCreateSimpleWindow (d, RootWindow (d, 0), 200, 300,
                            200, 60, 2, 0, 1);
   XSelectInput (d, w, ButtonPressMask);
   XMapWindow (d, w);

   gc = XCreateGC (d, w, 0, 0);
   f = XLoadFont (d, "courB18");
   XSetFont (d, gc, f);

   for (i = 0; i < 8; i++)
     {
       sprintf (buff, "Text #%d", i);
       XStoreBuffer (d, buff, strlen(buff), i);
     }

   while (1)
     {
       XNextEvent (d, &e);
       if (e.type == ButtonPress)
         {
           XRotateBuffers (d, -1);
           text = XFetchBytes (d, &n_ret);
           XClearWindow (d, w);
           XDrawString (d, w, gc, 20, 40, text, n_ret);
         }
     }
}
